Probleme apt (l'éternel)


#1

voila .
lors d’une installation avec apt-get j’ai eu un proble et depuis le message d’erreur s’affiche constament.

[quote]Lecture des listes de paquets… Fait
Construction de l’arbre des dépendances… Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
testdisk: Dépend: libntfs5 (>= 1.9.2) mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).
[/quote]

le -f install ne change rien a mon probleme.

si quelq’un peu mexpliquer comment me sortir de se mauvais pas ??


#2

essaye ca apt-get install libntfs5

normalement sa va installer le module ki te manque.


#3

Je viens de faire se que tu ma dit .
voila la reponce.

[quote]Dépaquetage de libntfs5 (à partir de …/libntfs5_1.9.2-2_i386.deb) …
dpkg : erreur de traitement de /var/cache/apt/archives/libntfs5_1.9.2-2_i386.deb (–unpack) :
tentative de remplacement de « /usr/lib/libntfs.so.5.0.0 », qui appartient aussi au paquet ntfsprogs
dpkg-deb: sous-processus paste tué par le signal (Relais brisé (pipe))
Des erreurs ont été rencontrées pendant l’exécution :
/var/cache/apt/archives/libntfs5_1.9.2-2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
[/quote]


#4

tu fai apt-get ou tu as dl puis installer un dpkg ?

si apt-get ne marche pas , la je sai pas .


#5

[quote=“absolut”]tu fai apt-get ou tu as dl puis installer un dpkg ?

si apt-get ne marche pas , la je sai pas .[/quote]

je fait un apt-get tout simple
:cry:


#6

essaye ca apt-get install dpkg libntfs5


#7

rien de mieux


#8

fais un ‘apt-get clean’ qui vide le cache des fichiers dl, puis une reinstall des paquets qui foiraient. Ca doit etre le fichier .deb du cache qui est foireux.


#9

regarde ds le fichier /var/cache/apt/archives/ si le prog est la
libntfs5_1.9.2-2_i386.deb

sinon essaye de linstaller manuellement “dpkg -i libntfs5_1.9.2-2_i386.deb”


#10

je vien de tester ca ne resoud pas le probleme


#11

va dans /var/cache/apt/archives et lance "dpkg --force-all --install libntfs5_1.9.2-2_i386.deb"
ça devrait forcer l’installation de ton package


#12

[quote]root@labo:/var/cache/apt/archives# dpkg --force-all --install libntfs5_1.9.2-2_i386.deb
dpkg : erreur de traitement de libntfs5_1.9.2-2_i386.deb (–install) :
ne peut pas accéder à l’archive: Aucun fichier ou répertoire de ce type
Des erreurs ont été rencontrées pendant l’exécution :
libntfs5_1.9.2-2_i386.deb
[/quote]

la je suis pas du tout se qui se passe


#13

telecharge le et installe le. apparement il a pas du le dl ou probleme de download


#14

mais non, c’est normal qu’il ne le trouve pas dans le cache, s’il à fait un clean !!!
déja, désinstalle libntfs5 et testdisk, avec apt-get remove, puis essayes de réinstaller testdisk (qui va réinstaller libntfs5 de lui même)


#15

j’ai fait ca avant d’avoir recu l’autre post
ca a marché mais apres un apt-get update puis upgrade j’ai denouveau un prob mais pas o meme endrois

[quote]Préparation du remplacement de wireless-tools 26+27pre25-2 (en utilisant …/wireless-tools_26+27pre26-2_i386.deb) …
Dépaquetage de la mise à jour de wireless-tools …
Des erreurs ont été rencontrées pendant l’exécution :
/var/cache/apt/archives/ssh_1%3a3.8.1p1-8.sarge.2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
[/quote

je vous remerci de mavoir consacré du temp
je pense que se nouveau probleme est du au méme cause je vais dont reprendre les solution pour le resoudre